/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package bigbank.account.checking;

import org.osoa.sca.annotations.Remotable;
import org.osoa.sca.annotations.Service;

/**
 * @version $$Rev: 636465 $$ $$Date: 2008-03-12 19:19:26 +0000 (Wed, 12 Mar 2008) $$
 */
@Service
@Remotable
public interface CheckingAccountService {
    
    public CheckingAccountDetails getAccountDetails(String customerID);
    
    public double deposit(String accountNo, double depositAmt);
    
    public double withdraw(String accountNo, double withdrawalAmount);
    
}
