/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package conversation.referenceclient;

import org.osoa.sca.CallableReference;
import org.osoa.sca.annotations.Remotable;

import conversation.service.ConversationalService;

/**
 * The client that calls into an existing conversation by accepting
 * a reference to that conversation
 *
 * @version $Rev: 575799 $ $Date: 2007-09-14 22:40:35 +0100 (Fri, 14 Sep 2007) $
 */

@Remotable
public interface ConversationalReferenceClient { 
	
    public void incrementCount(CallableReference<ConversationalService> conversationalService);

}
