/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.binding.gdata;

import org.apache.tuscany.sca.assembly.Binding;

/**
 * Gdata binding model.
 * 
 * @version $Rev: 725545 $ $Date: 2008-12-11 02:41:45 +0000 (Thu, 11 Dec 2008) $
 */
public interface GdataBinding extends Binding {
    
    /**
     * Returns the title of the GData collection.
     * @return
     */
    String getTitle();
    
    /**
     * Sets the title of the GData collection.
     * @param title
     */
    void setTitle(String title);
    
    /**
     * Returns the username to be used when authenticating with GData Services
     * @return
     */
    String getUsername();    
    
    /**
     * Sets the username to be used when authenticating with GData Services
     * @param username
     */
    void setUsername(String username);
    
    /**
     * Returns the password to be used when authenticating with GData Services
     * @return
     */
    String getPassword();  
    
    /**
     * Sets the password to be used when authenticating with GData Services
     * @param password
     */
    void setPassword(String password);   
    
    /**
     * Returns the type os service being used
     * @return
     */
    String getServiceType();
    
    /**
     * Sets the type of service being used
     * @param serviceType
     */
    void setServiceType(String serviceType);  
}
