/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.domain.search;

/**
 * Exception thrown when a exception occurs while accessing the index.
 * 
 * @version $Rev: 830448 $ $Date: 2009-10-28 06:38:34 +0000 (Wed, 28 Oct 2009) $
 */
public class IndexException extends Exception {

    private static final long serialVersionUID = -6395734136706805723L;

    /**
     * @see Exception#Exception(String)
     */
    public IndexException(String message) {
        super(message);
    }

    /**
     * @see Exception#Exception(String,Throwable)
     */
    public IndexException(String message, Throwable cause) {
        super(message, cause);
    }

}
